package com.wechat.model.dto;

import java.util.Date;


/**
 * 工作履历基本信息
 * @author jadyn.wu
 * @date: 2020-03-30 18:07
 */
public class WorkExperienceBaseDto {

	private Integer workId; // 工作履历ID（自增）

	private String userCode; // 用户code
	private String coId; // 酒店id（酒店公司信息表）
	private String coName; // 酒店名称（用户选择&lsquo;其他&rsquo;选项是填充的内容）

	private String positionTitle; // 职位头衔（职位信息表code）

	private Date enterDate; // 入职时间
	
	private Date quitDate; // 离职时间
	
	private String onJob; // 在职标识[0-离职；1-在职]
	private String showFlag; // 职位头衔显示[0-显示；1-不显示]
	private String enFlag; // 英文版本标识[1-中文；2-英文]

	public WorkExperienceBaseDto() {
		super();
	}

	public Integer getWorkId() {
		return workId;
	}

	public void setWorkId(Integer workId) {
		this.workId = workId;
	}

	public String getUserCode() {
		return userCode;
	}

	public void setUserCode(String userCode) {
		this.userCode = userCode;
	}

	public String getCoId() {
		return coId;
	}

	public void setCoId(String coId) {
		this.coId = coId;
	}

	public String getCoName() {
		return coName;
	}

	public void setCoName(String coName) {
		this.coName = coName;
	}


	public String getPositionTitle() {
		return positionTitle;
	}

	public void setPositionTitle(String positionTitle) {
		this.positionTitle = positionTitle;
	}

	public Date getEnterDate() {
		return enterDate;
	}

	public void setEnterDate(Date enterDate) {
		this.enterDate = enterDate;
	}

	public Date getQuitDate() {
		return quitDate;
	}

	public void setQuitDate(Date quitDate) {
		this.quitDate = quitDate;
	}

	public String getOnJob() {
		return onJob;
	}

	public void setOnJob(String onJob) {
		this.onJob = onJob;
	}


	public String getShowFlag() {
		return showFlag;
	}

	public void setShowFlag(String showFlag) {
		this.showFlag = showFlag;
	}

	public String getEnFlag() {
		return enFlag;
	}

	public void setEnFlag(String enFlag) {
		this.enFlag = enFlag;
	}


}